<?xml version="1.0" encoding="utf-8"?>
<!--
* XML config file for Database-linked List plugin
*
* @version		$Id: param.xml 137 2009-04-14 23:17:21Z dr_drsh $
* @package		Joomla
* @subpackage	JForms
* @copyright	Copyright (C) 2008 Mostafa Muhammad. All rights reserved.
* @license		GNU/GPL
-->
<form>
	<name>DBList plugin parameters</name>
	<params>
		<param name="label" description='JFORMSPLUGINFIELDLABEL' label="Label" type="text" default='DBList' valueType='string' translate='1' />
		<param name="css" description='JFORMSPLUGINFIELDCSS' label="CSS Class" type="text" default='jfdblist' valueType='string' translate='0' />
		<param name="useCss" description='JFORMSPLUGINFIELDUSECSS' label="Style using CSS only" type="list" default='0' valueType='integer' translate='0'>
			<option value='1'>Yes</option>
			<option value='0'>No</option>
		</param>
		<param name="multi" description='JFORMSDBLISTMULTI' label="Multi-Select" type="list" default='0' valueType='integer' translate='0'>
			<option value='1'>Yes</option>
			<option value='0'>No</option>
		</param>
		<param name="required" description='JFORMSPLUGINFIELDREQUIRED' label="Required" type="list" default='0' valueType='integer' translate='0'>
			<option value='1'>Yes</option>
			<option value='0'>No</option>
		</param>
		<param name="tableName" description='JFORMSDBLISTTABLENAME' label="Table name" type="text" default='' valueType='string' translate='0' />
		<param name="keyField" description='JFORMSDBLISTKEYFIELD' label="Key field" type="text" default='' valueType='string' translate='0' />
		<param name="valueField" description='JFORMSDBLISTVALUEFIELD' label="Value field" type="text" default='' valueType='string' translate='0' />
		<param name="orderField" description='JFORMSDBLISTORDERFIELD' label="Order field" type="text" default='' valueType='string' translate='0' />
		<param name="orderMode" description='JFORMSDBLISTORDERMODE' type="list" label="Order Field" default='ASC' valueType='string' translate='0'>
			<option value='ASC'>Ascending</option>
			<option value='DESC'>Descending</option>
		</param>
		<param name="lh" type="hidden" valueType='integer' default='20' translate='0' />
		<param name="lw" type="hidden" valueType='integer' default='50' translate='0' />
		<param name="ch" type="hidden" valueType='integer' default='20' translate='0' />
		<param name="cw" type="hidden" valueType='integer' default='70' translate='0' />
		<param name="hash" type="hidden" valueType='string' default='' translate='0' />
		<param name="defaultValue" type="hidden" valueType='string' default='' translate='1' />
	</params>
</form>